Package lld12.0-devel

Binary package: lld12.0-devel
Version: 12.0.1-alt0.3.mips2
Architecture: mipsel
Build time:  Mar 3, 2022, 09:28 PM
Source package: llvm12.0
Category: Development/C
Report package bug
License:  Apache-2.0 with LLVM-exception
Summary:  Header files for LLD
Description: 
This package contains header files for the LLD linker.
Last changes:
March 3, 2022 Ivan A. Melnikov 12.0.1-alt0.3.mips2
- Add mipsel support:
  + use fpxx ABI by default
  + use pc-relative personality encoding in eh_frame on mips*
    (avoids textrels in eh_frame when linking with lld)
  + enable nomadd4 by default (debian patch, for Loongson3 support)
- Add riscv64 support:
  + fix clang-alt-triple.patch
  + disable lldb on riscv64 (no support yet)
  + backport .insn directive support for RISC-V from upstream
    (required to build recent rust).
Sept. 21, 2021 Arseny Maslennikov 12.0.1-alt3
- Included git-clang-format in clang-tools (closes: bug 40912).
  Split off LLVMgold.so to its own package.
  Added a requirement on llvmN-gold from llvmN-libs.
Sept. 5, 2021 Arseny Maslennikov 12.0.1-alt2
- Marked the package as built by ALT Linux Team (-DPACKAGE_VENDOR) so it's
  easier to distinguish from custom builds.
- If compiled with gcc, we now pass -ffat-lto-objects to it.
- Enabled -grecord-command-line by default (closes: bug 40628).
  Code generation is unaffected.

Back to Top